summaryrefslogtreecommitdiff
path: root/package/shairport-sync
diff options
context:
space:
mode:
Diffstat (limited to 'package/shairport-sync')
-rw-r--r--package/shairport-sync/Makefile41
-rw-r--r--package/shairport-sync/files/shairport-sync.init28
-rw-r--r--package/shairport-sync/files/shairport-sync.postinst7
3 files changed, 76 insertions, 0 deletions
diff --git a/package/shairport-sync/Makefile b/package/shairport-sync/Makefile
new file mode 100644
index 000000000..75c6801f8
--- /dev/null
+++ b/package/shairport-sync/Makefile
@@ -0,0 +1,41 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(ADK_TOPDIR)/rules.mk
+
+PKG_NAME:= shairport-sync
+PKG_VERSION:= 3.3.8
+PKG_RELEASE:= 1
+PKG_GIT:= tag
+PKG_DESCR:= airplay daemon
+PKG_SECTION:= mm/audio
+PKG_DEPENDS:= libressl libpopt libdaemon libconfig jack mosquitto libavahi
+PKG_BUILDDEP:= libressl popt libdaemon libconfig jack mosquitto avahi
+PKG_URL:= https://github.com/mikebrady/shairport-sync
+PKG_SITES:= https://github.com/mikebrady/shairport-sync.git
+
+include $(ADK_TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,SHAIRPORT_SYNC,shairport-sync,$(PKG_VERSION)-$(PKG_RELEASE),$(PKG_DEPENDS),$(PKG_DESCR),$(PKG_SECTION)))
+
+AUTOTOOL_STYLE:= autoreconf
+CONFIGURE_ARGS+= --with-pkg-config \
+ --without-systemv \
+ --without-systemd \
+ --with-libdaemon \
+ --with-avahi \
+ --disable-tinysvcmdns \
+ --with-alsa \
+ --with-jack \
+ --with-mqtt-client \
+ -with-ssl=openssl
+
+shairport-sync-install:
+ $(INSTALL_DIR) $(IDIR_SHAIRPORT_SYNC)/usr/bin
+ $(INSTALL_DIR) $(IDIR_SHAIRPORT_SYNC)/etc/shairport-sync
+ $(INSTALL_BIN) $(WRKINST)/usr/bin/shairport-sync \
+ $(IDIR_SHAIRPORT_SYNC)/usr/bin
+ $(INSTALL_DATA) $(WRKINST)/etc/* \
+ $(IDIR_SHAIRPORT_SYNC)/etc/shairport-sync/
+
+include $(ADK_TOPDIR)/mk/pkg-bottom.mk
diff --git a/package/shairport-sync/files/shairport-sync.init b/package/shairport-sync/files/shairport-sync.init
new file mode 100644
index 000000000..c9bcb92bf
--- /dev/null
+++ b/package/shairport-sync/files/shairport-sync.init
@@ -0,0 +1,28 @@
+#!/bin/sh
+#PKG shairport-sync
+#INIT 80
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${shairport_sync:-NO}" = x"NO" && exit 0
+ test x"$shairport_sync" = x"DAEMON" && test -x /bin/mksh && exec mksh -T- $0 start
+ exec sh $0 start
+ ;;
+start)
+ /usr/bin/shairport-sync -c /etc/shairport/shairport-sync.conf -d $shairport_sync_flags
+ ;;
+stop)
+ /usr/bin/shairport-sync -k
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?
diff --git a/package/shairport-sync/files/shairport-sync.postinst b/package/shairport-sync/files/shairport-sync.postinst
new file mode 100644
index 000000000..9558f175a
--- /dev/null
+++ b/package/shairport-sync/files/shairport-sync.postinst
@@ -0,0 +1,7 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf shairport_sync NO
+add_rcconf shairport_sync_flags " "
+gid=$(get_next_gid)
+add_group shairport-sync $gid
+add_user shairport-sync $(get_next_uid) $gid /etc/shairport-sync